Subject: Re: BlueRay..Bluetta Blueberrys ??

From: [email-masked] (BRateaver)
Date: 28 Jul 1996 06:06:27 -0400

What blueberries really need is mycorrhizae. You can now get these
beneficial fungi from Don Chapman, 1-800-604-0444

They have shallow roots and depend on these valuable fungi to supply their
mineral needs.

It isn't that the pH matters, no matter how many people claim this. What
is important is that the soil be adequate. These plants may not be able to
pick up the minerals they need, so you should provide them with the
chelated minerals from seaweed (Maxciop).  They need calcium, for the sake
of that mineral, and that is nothing to do with pH.

Arden Andersen makes a strong point about the need for phosphorus, because
the nutrients the root takes in should be attached to phosphate, to be
assimilated.

B. Rateaver